require("test/setup")
require("draw/panner")

function string.starts(str, start)
    return string.sub(str, 1, str.len(start)) == start
end

import = function(target)
    if string.starts(target, "CoreLibs") or string.starts(target, "draw/") then
        return
    end
    -- Remove .lua
    require(target:sub(1, #target - 4))
end

local Game = require("main")

local settings = {
    homeTeamSpriteGroup = {},
    awayTeamSpriteGroup = {},
}

function testStandaloneInit()
    -- Harness should be fleshed-out enough to init without error.
    Game.new(settings, announcer)
end

os.exit(luaunit.LuaUnit.run())
